 /* ========== Banner 轮播 ========== */
 .banner-wrapper {
     width: 100%;
     height: 100vh;
     position: relative;
     overflow: hidden;
 }

 .banner-wrapper .layui-carousel {
     width: 100%;
     height: 100% !important;
 }

 .banner-content img {
     width: 100%;
     height: 100%;
 }

 /* 活动案例 */
 .case-wrapper {
     display: flex;
     flex-wrap: wrap;
     justify-content: center;
 }

 .carousel {
     width: 100%;
     display: none;
 }

 .carousel.slick-initialized {
     display: block;
 }

 .carousel .slick-prev {
     left: -140px;
     top: 250px;
 }

 .carousel .slick-prev:before {
     content: url('../images/icon_left.png') !important;
     display: inline-block;
     width: 18px;
     height: 31px;
     line-height: normal;
 }

 .carousel .slick-next {
     right: -140px;
     top: 250px;
 }

 .carousel .slick-next:before {
     content: url('../images/icon_right.png') !important;
     display: inline-block;
     width: 18px;
     height: 31px;
     line-height: normal;
 }

 .case-carousel .slick-slide>div {
     /* padding: 20px 40px;
     box-sizing: border-box; */
 }

 .case-carousel .slick-list {
     margin: 0 30px;
 }

 .case-carousel .slick-slide {
     padding: 30px;
 }

 .case-carousel .case-item {
    display: block;
     border-radius: 4px;
     background: #FFFFFF;
     box-shadow: 0px 2px 10px 0px #D1D1D1;
     padding: 10px;
     box-sizing: border-box;
     transition: all 0.3s ease-in-out;
 }

 .case-carousel .case-item:hover {
     transform: scale(1.1);
     aspect-ratio: 3 / 4;
     cursor: pointer;
 }

 .case-carousel .case-item .photo {
     width: 100%;
     aspect-ratio: 16 / 9;
 }

 .case-carousel .case-item .photo img {
     width: 100%;
     aspect-ratio: 16 / 9;
     object-fit: cover;
 }

 .case-carousel .case-item .ymd {
     font-family: DINPro;
     margin: 20px auto;
     background: linear-gradient(-90deg, #3938E2, #1635F7);
     color: #ffffff;
     width: 180px;
     height: 36px;
     line-height: 36px;
     display: flex;
     align-items: center;
     justify-content: center;
     font-weight: bold;
     font-size: 21px;
 }

 .case-carousel .case-item .title {
     text-align: center;
     font-weight: bold;
     font-size: 21px;
     color: #000000;
     line-height: 31px;
 }

 .case-carousel .case-item .desc {
     font-weight: 300;
     font-size: 15px;
     color: #666666;
     line-height: 25px;
     margin: 30px 20px 0 20px;
 }

 .case-carousel .case-item .view {
     font-weight: 600;
     font-size: 17px;
     color: var(--primary);
     line-height: 31px;
     margin-top: 20px;
     display: flex;
     align-items: center;
     justify-content: center;
 }

 .case-carousel .case-item .view img {
     margin-left: 10px;
 }

 .more-wrapper {
     width: 220px;
     height: 46px;
     margin: 45px auto;
     border: 1px solid #CCCCCC;
     font-weight: 300;
     font-size: 14px;
     position: relative;
     border-radius: 2px;
 }

 .more-wrapper::before {
     content: '';
     position: absolute;
     top: -1px;
     /* 抵消边框，让三角形与边框重叠 */
     right: -1px;
     /* 抵消边框，让三角形与边框重叠 */
     width: 0;
     height: 0;
     border-style: solid;
     border-width: 0 12px 12px 0;
     /* 右上角三角形：右边框和下边框 */
     border-color: transparent #1534F7 transparent transparent;
 }

 .more-wrapper a {
     display: inline-block;
     width: 100%;
     height: 100%;
     text-align: center;
     line-height: 46px;
     color: #1334F8;
 }

 .product-wrapper {
     display: flex;
     flex-wrap: wrap;
     justify-content: center;
 }

 .product-carousel .slick-slide>div {
     /* padding: 20px 40px;
     box-sizing: border-box; */
 }

 .product-carousel .product-item {
    display: block;
     border-radius: 4px;
     margin: 20px 15px;
     background: #FFFFFF;
     box-shadow: 0px 2px 10px 0px #D1D1D1;
     padding: 15px;
     box-sizing: border-box;
     transition: all 0.3s ease-in-out;
 }

 .product-carousel .product-item:hover {
     transform: scale(1.05);
     cursor: pointer;
 }

 .product-carousel .product-item .photo {
     width: 100%;
     aspect-ratio: 30 / 45;
 }

 .product-carousel .product-item .photo img {
     width: 100%;
     height: 100%;
     object-fit: cover;
 }

 .product-carousel .product-item .title {
     margin-top: 28px;
     text-align: center;
     font-weight: bold;
     font-size: 27px;
     color: #000000;
     line-height: 33px;
 }

 .product-carousel .product-item .view {
     margin-top: 28px;
     font-weight: bold;
     font-size: 23px;
     color: #1334F8;
     line-height: 33px;
     display: flex;
     align-items: center;
     justify-content: center;
 }

 .product-carousel .product-item .view img {
     margin-left: 10px;
 }

 .fangan-wrapper {
     background-color: #0a0b6b;
     color: #ffffff;
 }

 .fangan-title {
     text-align: center;
     font-weight: 400;
     font-size: 60px;
     line-height: 30px;
     padding: 100px 0;
 }

 .fangan-title span {
     font-weight: bold;
     margin-right: 10px;
 }

 .fangan-content {
     display: flex;
     align-items: center;
     gap: 40px;
     padding-bottom: 80px;
 }

 .fangan-item {
     height: 520px;
     padding: 60px 42px;
     transition: all 0.3s ease-in-out;
     display: flex;
     flex-direction: column;
 }

 .fangan-content .fangan-item {
     position: relative;
 }

 .fangan-item .title {
     font-weight: bold;
     font-size: 50px;
     line-height: 50px;
     margin: 45px 0;
 }

 .fangan-item .desc {
     font-weight: 300;
     font-size: 14px;
     flex: 1;
     line-height: 1.75;
 }

 .fangan-item .view {
     display: none;
     border: 2px solid #FFFFFF;
     font-weight: bold;
     font-size: 14px;
     line-height: 50px;
     text-align: center;
     color: #ffffff;
 }

 .fangan-content .fangan-item:hover {
     background-color: #1C1DFF;
     border-radius: 6px;
 }

 .fangan-content .fangan-item:hover .icon {
     display: none;
 }

 .fangan-content .fangan-item:hover .view {
     display: block;
 }

 .kehu-title {
     font-weight: bold;
     font-size: 60px;
     color: #09043E;
     line-height: 30px;
     text-align: center;
     margin: 100px auto;
 }

 .kehu-carousel {
     padding-bottom: 50px;
 }

 .kehu-carousel .kehu-item {
     padding: 10px 20px;
     height: 200px;
     display: flex !important;
     align-items: center;
     justify-content: center;
 }

 .kehu-carousel .kehu-item img {
     max-width: 100%;
     height: auto;
 }

 .kehu-carousel .slick-prev {
     left: -10px;
     top: 100px;
 }

 .kehu-carousel .slick-next {
     right: -10px;
     top: 100px;
 }


 /* H5端菜单高度调整 */
 @media screen and (max-width: 767px) {
     .banner-wrapper {
         width: 100%;
         aspect-ratio: 16 / 9;
         height: auto;
         position: relative;
     }

     .banner-content {
         height: 100%;
         width: 100%;
     }

     .banner-content img {
         aspect-ratio: 16 / 9;
     }

     .banner-wrapper .layui-carousel {
         position: absolute;
         top: 0;
         left: 0;
         width: 100%;
         height: 100% !important;
     }

     .banner-wrapper .layui-carousel .layui-carousel-item {
         position: relative;
         height: 100% !important;
     }

     .title-wrapper {
         margin: 45px 0;
         font-size: 50px;
     }

     .case-wrapper {
         width: 100%;
     }

     .case-carousel .case-item {
         aspect-ratio: 3 / 4;
         width: 100%;
     }

     .case-carousel .case-item:hover {
         aspect-ratio: 3 / 4;
         width: 100%;
     }

     .carousel .slick-prev {
         left: -10px;
         top: 210px;
     }

     .carousel .slick-next {
         right: -10px;
         top: 210px;
     }

     .case-carousel .case-item .desc {
         margin: 20px 15px 0 15px !important;
         display: -webkit-box;
         line-clamp: 2;
         -webkit-line-clamp: 2;
         /* 限制显示的行数 */
         -webkit-box-orient: vertical;
         overflow: hidden;
         text-overflow: ellipsis;
         /* 超出部分显示省略号（可选） */
         word-break: break-word;
         /* 防止长单词撑破布局 */
     }

     .case-carousel .case-item .view {
         margin-top: 10px;
     }

     .product-carousel .product-item {
         margin: 10px 40px;
         height: 580px;
     }

     .fangan-content {
         display: none;
     }

     .fangan-content.slick-initialized {
         display: block;
     }

     .fangan-title {
         padding: 60px 0;
         font-size: 60px;
     }

     .fangan-item {
         height: 550px;
         padding: 40px 60px;
         display: flex;
         flex-direction: column;
     }

     .fangan-item .view {
         display: block;
     }

     .fangan-content .slick-prev:before {
         content: url('../images/icon_zh_b.png') !important;
         display: inline-block;
         width: 32px;
         height: 51px;
         line-height: normal;
     }

     .fangan-content .slick-next:before {
         content: url('../images/icon_yh_b.png') !important;
         display: inline-block;
         width: 32px;
         height: 51px;
         line-height: normal;
     }

     .fangan-content .slick-prev {
         z-index: 9999;
         left: 20px;
         top: 220px;
     }

     .fangan-content .slick-next {
         z-index: 9999;
         right: 20px;
         top: 220px;
     }

     .kehu-title {
         margin: 60px auto;
         font-size: 50px;
     }

     .kehu-carousel .slick-prev {
         left: -10px;
         top: 50px;
     }

     .kehu-carousel .slick-next {
         right: -10px;
         top: 50px;
     }

     .kehu-carousel .kehu-item {
         height: 100px;
     }
 }